ModernLoop Internal API
Apipylon

Search Pylon accounts with native filters (POST /accounts/search)

Read operation: does not mutate upstream state.

curl -X POST "https://api.modernloop.dev/rest/v1/pylon/accounts/search" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": [    {      "id": "string",      "name": "string",      "type": "string",      "domain": "string",      "domains": [        "string"      ],      "primary_domain": "string",      "owner": {        "id": "string",        "email": "string"      },      "tags": [        "string"      ],      "is_disabled": true,      "latest_customer_activity_time": "string",      "created_at": "string"    }  ],  "pagination": {    "cursor": "string",    "has_next_page": true  },  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

cursor?string
limit?integer
Range1 <= value <= 1000
filter?

Recursive provider-native Pylon filter with field, operator, optional value/values, and nested subfilters

search_text?string

Response Body

application/json

application/json

application/json

application/json

application/json